package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class PenyebabInfeksiNosokomial
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "PenyebabInfeksiNosokomial_M")
public class PenyebabInfeksiNosokomialVO extends BaseMasterVO {
	@Caption(value="Kode Penyebab I N")
	private short kdPenyebabIN;

	public void setKdPenyebabIN(short kdPenyebabIN) {
		this.kdPenyebabIN = kdPenyebabIN;
	}

	@Column(name = "KdPenyebabIN", nullable = false )
	public short getKdPenyebabIN(){
		return this.kdPenyebabIN;
	}

	@Caption(value="Penyebab I N")
	private String penyebabIN;

	public void setPenyebabIN(String penyebabIN) {
		this.penyebabIN = penyebabIN;
	}

	@Column(name = "PenyebabIN", nullable = false , length = 100)
	public String getPenyebabIN(){
		return this.penyebabIN;
	}

	@Caption(value="QPenyebab I N")
	private short qPenyebabIN;

	public void setqPenyebabIN(short qPenyebabIN) {
		this.qPenyebabIN = qPenyebabIN;
	}

	@Column(name = "QPenyebabIN", nullable = false )
	public short getqPenyebabIN(){
		return this.qPenyebabIN;
	}


}

